Failed to connect to the server with localhost when start nucleus

2021-12-16 05:43:57 [761ms] [Info] [carb.launcher.plugin] [13958] …/…/…/source/plugins/carb.launcher/ProcessCommon.cpp:readFromHandleThread():410: starting the read thread for ‘launcher stdout reader’ for the child process 13957.
2021-12-16 05:43:57 [761ms] [Info] [omni.core] [13938] …/…/…/source/plugins/common/ChildProcess.cpp:launch():111: Sleeping for 2 seconds to get the child server time to spin up
2021-12-16 05:43:57 [761ms] [Info] [carb.launcher.plugin] [13959] …/…/…/source/plugins/carb.launcher/ProcessCommon.cpp:readFromHandleThread():410: starting the read thread for ‘launcher stderr reader’ for the child process 13957.
2021-12-16 05:43:57 [917ms] [Error] [omni.core] [13959] …/…/…/source/plugins/common/ChildProcess.cpp:stderrReadCallback():30: From process ./omni-lft-service/omni-lft-service:DATA_DIR: /home/dongchan/.local/share/ov/data/serverBundled - using PyInstaller’s runtime dir with resolvers

2021-12-16 05:43:57 [933ms] [Error] [omni.core] [13959] …/…/…/source/plugins/common/ChildProcess.cpp:stderrReadCallback():30: From process ./omni-lft-service/omni-lft-service:2021-12-16 13:43:57,598 - system_log - INFO - reconnecting …

2021-12-16 05:43:57 [935ms] [Error] [omni.core] [13959] …/…/…/source/plugins/common/ChildProcess.cpp:stderrReadCallback():30: From process ./omni-lft-service/omni-lft-service:2021-12-16 13:43:57,599 - system_log - INFO - [Errno 111] Connect call failed (‘127.0.0.1’, 3007)

2021-12-16 05:43:58 [1,937ms] [Error] [omni.core] [13959] …/…/…/source/plugins/common/ChildProcess.cpp:stderrReadCallback():30: From process ./omni-lft-service/omni-lft-service:Traceback (most recent call last):
File “idl/connection/transport/omni.py”, line 110, in prepare
File “websockets/legacy/client.py”, line 622, in await_impl
File “asyncio/base_events.py”, line 794, in create_connection
File “asyncio/base_events.py”, line 781, in create_connection
File “asyncio/selector_events.py”, line 439, in sock_connect
File “asyncio/selector_events.py”, line 469, in _sock_connect_cb
ConnectionRefusedError: [Errno 111] Connect call failed (‘127.0.0.1’, 3007)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “lft/server.py”, line 506, in await_connection
File “idl/connection/transport/omni.py”, line 114, in prepare
idl.connection.transport.TransportError: [Errno 111] Connect call failed (‘127.0.0.1’, 3007)
2021-12-16 13:43:58,601 - system_log - INFO - reconnecting …

2021-12-16 05:43:58 [1,939ms] [Error] [omni.core] [13959] …/…/…/source/plugins/common/ChildProcess.cpp:stderrReadCallback():30: From process ./omni-lft-service/omni-lft-service:2021-12-16 13:43:58,604 - system_log - INFO - [Errno 111] Connect call failed (‘127.0.0.1’, 3007)

2021-12-16 05:43:59 [2,762ms] [Warning] [carb] [13942] …/…/…/source/framework/FrameworkImpl.cpp:acquireInterface():702: Acquiring non optional plugin interface which is not listed as dependency: [carb::dictionary::IDictionary v1.0] (plugin: (null)), by client: omni.core. Add it to CARB_PLUGIN_IMPL_DEPS() macro of a client.
2021-12-16 05:43:59 [2,762ms] [Warning] [carb] [13942] …/…/…/source/framework/FrameworkImpl.cpp:acquireInterface():702: Acquiring non optional plugin interface which is not listed as dependency: [carb::dictionary::ISerializer v1.0] (plugin: carb.dictionary.serializer-json.plugin), by client: omni.core. Add it to CARB_PLUGIN_IMPL_DEPS() macro of a client.
2021-12-16 05:43:59 [2,762ms] [Info] [omni.core] [13942] …/…/…/source/plugins/omni.core/impl/DiscoveryClient.cpp:run():236: discovery client: starting up
2021-12-16 05:43:59 [2,762ms] [Info] [omni.core] [13942] …/…/…/source/plugins/omni.core/impl/DiscoveryClient.cpp:run():279: discovery client: connecting to wss://localhost/omni/discovery
2021-12-16 05:43:59 [2,767ms] [Info] [omni.core] [13938] …/…/…/source/plugins/omni.core/impl/Mounts.cpp:createMount():60: Successfully created resolver of type: omniverse_resolver_s3
2021-12-16 05:43:59 [2,767ms] [Info] [omni.core] [13942] …/…/…/source/plugins/omni.core/impl/DiscoveryClient.cpp:run():310: discovery client: registering ‘external’ with transport ‘connlib’ and transport parameters ‘{
“url”: “ws://127.0.0.1:3009”
}’
2021-12-16 05:43:59 [2,767ms] [Info] [omni.server] [13938] …/…/…/source/plugins/omni.server/OmniversePlugins.cpp:getOmniResolverInstance():42: Successfully created OmniResolver instance of type(omniverse_resolver_s3)
2021-12-16 05:43:59 [2,767ms] [Info] [omni.core] [13965] …/…/…/source/plugins/omni.core/impl/DiscoveryClient.cpp:operator()():350: discovery client: received non-ok status from the discovery service: 5 / Connection is terminated
2021-12-16 05:43:59 [2,769ms] [Info] [omni.core] [13938] …/…/…/source/plugins/omni.core/impl/DeltaManager.cpp:processPendingDeltaManagerRecords():1463: Checking for any pending delta manager records.
2021-12-16 05:43:59 [2,769ms] [Info] [carb] [13938] …/…/…/source/framework/PluginImpl.cpp:initialize():406: Initializing plugin: omni.objects (interfaces: [omni::server::IObjects v1.0]) (impl: omni.objects)
2021-12-16 05:43:59 [2,769ms] [Info] [omni.core] [13942] …/…/…/source/plugin

Hi @dongchanyear - I’m sorry for the trouble you are having…I assume you have never had a successful connection? Did you follow the directions here: Installation — Omniverse Nucleus documentation

If so, was it installed on a user’s account with admin privileges?

Overview of install with NVIDIA’s Paul Kind:

More resources on the installation from the community:

A nice general overview from NVIDIA’s TJ Galda: Overview of Omniverse Nucleus - YouTube

Cheers,
Edmar

P.S. We are constantly adding new tutorials and aggregate them all in the “learn” tab on the launcher (also see: https://developer.nvidia.com/nvidia-omniverse-tutorials).

he / him | LinkedIn | Discord ID: Prof E#2041
Omniverse: “A New Era of Collaboration and Simulation” (video)
Omniverse Create’s latest features show & tell: Twitch livestream.
As seen in VentureBeat | Physics Showcase

Omniverse Resources:
Open Beta | Documentation | Tech Requirements | Videos | Roadmap | Twitter | Discord | Twitch

PLEASE NOTE: If you are reporting a bug/issue, please provide OS, GPU, GPU Driver, the version of the app, and full log file (if applicable). For crashes, please zip and provide a link to your logs → C:\Users\ [YOUR NAME] \ .nvidia-omniverse\logs

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.